Update from 3.1>3.3 error


(Florian Feuerpfeil) #1

Hello
I have a Testserver where I try to update my page from neos 3.1 to 3.3. There are several errors that I have to fix. But the latest is:

Node type “Neos.Neos:Content’” does not exist

I have no idea what is wrong. Neos.Neos:Content exists in NodeTypes and Fusion in the Package Neos.Neos…

What I have to do???
I flush the cache. Try to repair the node. I append a list of my active packages.

Thanks for your replies
Florian

ACTIVE PACKAGES:
Behat.Transliterator 1.2.0
DL.Gallery 3.0.2
Doctrine.Common.Collections 1.4.0
Doctrine.Common.Lexer 1.0.1
Doctrine.DBAL 2.5.13
Doctrine.ORM 2.5.14
Flowpack.Listable 3.0
Flowpack.Neos.FrontendLogin 3.0.2
Neos.Behat dev-master
Neos.Cache 4.3.3
Neos.ContentRepository 3.3.4
Neos.Diff 3.3.4
Neos.Eel 4.3.3
Neos.Flow 4.3.3
Neos.Flow.Log 4.3.3
Neos.FluidAdaptor 4.3.3
Neos.Form 4.1.2
Neos.Fusion 3.3.4
Neos.Imagine 3.0.4
Neos.Kickstarter 4.3.3
Neos.Media 3.3.4
Neos.Media.Browser 3.3.4
Neos.Neos 3.3.4
Neos.Neos.Ui 1.0.5
Neos.Neos.Ui.Compiled 1.0.5
Neos.Neos.Ui.ExtensibilityExamples
Neos.NodeTypes 3.3.4
Neos.NodeTypes.AssetList 3.3.4
Neos.NodeTypes.BaseMixins 3.3.4
Neos.NodeTypes.ColumnLayouts 3.3.4
Neos.NodeTypes.ContentReferences 3.3.4
Neos.NodeTypes.Form 3.3.4
Neos.NodeTypes.Html 3.3.4
Neos.NodeTypes.Navigation 3.3.4
Neos.Party 4.0.2
Neos.RedirectHandler 2.0.0
Neos.RedirectHandler.DatabaseStorage 2.0.1
Neos.RedirectHandler.NeosAdapter 2.0.1
Neos.Seo 2.0.6
Neos.Setup 4.0.2
Neos.SiteKickstarter 3.3.4
Neos.SwiftMailer 6.0.1
Neos.Twitter.Bootstrap 3.0.3
Neos.Utility.Arrays 4.3.3
Neos.Utility.Files 4.3.3
Neos.Utility.MediaTypes 4.3.3
Neos.Utility.ObjectHandling 4.3.3
Neos.Utility.OpcodeCache 4.3.3
Neos.Utility.Pdo 4.3.3
Neos.Utility.Schema 4.3.3
Onedrop.SectionMenu 2.0.1
PackageFactory.AtomicFusion 2.5.0
Sandstorm.TemplateMailer 1.2.0
Sandstorm.UserManagement 5.0.10
doctrine.annotations 1.4.0
doctrine.cache 1.6.2
doctrine.common 2.7.3
doctrine.inflector 1.2.0
doctrine.instantiator 1.0.5
doctrine.migrations 1.3.1
gedmo.doctrineextensions 2.3.12
imagine.imagine 0.7.1
mtvleck.de 0.0.3
myclabs.deepcopy 1.7.0
neos.composerplugin 2.0.1
neos.errormessages 4.3.3
neos.utilitylock 4.3.3
neos.utilityunicode 4.3.3
ocramius.packageversions 1.2.0
ocramius.proxymanager 2.0.4
org.bovigo.vfs 1.6.5
paragonie.randomcompat 2.0.11
pelago.emogrifier V1.2.0
phpdocumentor.reflectioncommon 1.0.1
phpdocumentor.reflectiondocblock 4.3.0
phpdocumentor.typeresolver 0.4.0
phpspec.prophecy 1.7.3
phpunit.phpcodecoverage 5.2.0
phpunit.phpfileiterator 1.4.5
phpunit.phptexttemplate 1.2.1
phpunit.phptimer 1.0.9
phpunit.phptokenstream 2.0.2
phpunit.phpunit 6.0.13
phpunit.phpunitmockobjects 4.0.4
psr.httpmessage 1.0.1
psr.log 1.0.2
ramsey.uuid 3.7.3
sebastian.codeunitreverselookup 1.0.1
sebastian.comparator 2.0.0
sebastian.diff 1.4.3
sebastian.environment 2.0.0
sebastian.exporter 3.1.0
sebastian.globalstate 2.0.0
sebastian.objectenumerator 3.0.3
sebastian.objectreflector 1.1.1
sebastian.recursioncontext 3.0.0
sebastian.resourceoperations 1.0.0
sebastian.version 2.0.1
swiftmailer.swiftmailer 5.4.9
symfony.console 2.8.34
symfony.cssselector 2.8.34
symfony.debug 3.0.9
symfony.domcrawler 2.8.34
symfony.polyfillmbstring 1.7.0
symfony.yaml 2.8.34
theseer.tokenizer 1.1.0
typo3fluid.fluid 2.1.3
webmozart.assert 1.3.0
zendframework.zendcode 3.1.0
zendframework.zendeventmanager 3.2.0


(Daniel Lienert) #2

Hey Florian,

At least if you switch to the Development context, there should be more output then just that. Providing that output is needed to help you.
If all files and packages are there as you say, the only thing could be a missing dependency in one of the packages onto Neos or maybe leftover cache entries. Gave you flushed the cache / done the doctrine:migrate after updating?

Cheers,
Daniel